//
//  ChildViewController.m
//  ValueSample
//
//  Created by eien.support@gmail.com on 12/03/29.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "ChildViewController.h"

@interface ChildViewController ()

@property (weak, nonatomic) IBOutlet UITextView *textView;

@end

@implementation ChildViewController
@synthesize textView;
@synthesize text;
@synthesize delegate;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
}

- (void)viewDidUnload
{
    [self setTextView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return UIInterfaceOrientationIsPortrait(interfaceOrientation);
}

-(void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];    
    self.textView.text = self.text;
}

- (IBAction)okAction:(id)sender {
    [self.textView resignFirstResponder];
    self.text = self.textView.text;
    if ( [self.delegate respondsToSelector:@selector(childViewDidChanged:)] ) {
        [self.delegate childViewDidChanged:self];
    }
    [self dismissModalViewControllerAnimated:YES];
}

- (IBAction)cancelAction:(id)sender {
    [self.textView resignFirstResponder];
    [self dismissModalViewControllerAnimated:YES];
}

@end
